#ifndef __SENSORITEM_H__
#define __SENSORITEM_H__

#include <QObject>

#define MAX_SENSOR_NUM  (1024*8)

class SensorItem : public QObject
{
    Q_OBJECT
public:
    explicit SensorItem(QObject *parent = 0);
    ~SensorItem();
public:
    SensorItem(const SensorItem & item);
    SensorItem & operator= (const SensorItem & item);

public:
    void clean();

private:
    void copyData(const SensorItem & item);

public:
    void setItemValue(int woffset, int boffset, QString name, int type = -1);

public:
    int m_byte_offset;  // 字节偏移值
    int m_bit_offset;   // 字节内的位偏移值
    QString m_name;     // 名称
    int m_type;     // 传感器类型

};

#endif // __SENSORITEM_H__
